Vraag & Antwoord

OS Linux

[KDE] Meerdere versies draaien.

16 antwoorden
  • ik heb nu kde 3.1.4 erop staan. En wil nu graag de kde3.2 proberen. Nu zat ik me eigen af te vragen, of ik hem er niet 'langs' kan zetten. Dus dat ik uit allebei de kde's kan kiezen, als ik opstart (in grafisch mode overigens). Ben gewoon benieuwd of deze mogelijkheid er is... p.s. Ik ga deze nu via de source installeren, moet ik dan eerst de 'oude' kde weghalen of niet?
  • Je moet beide kde-versies naast elkaar installeren, dat kun je doen door tijdens ./configure aan te geven waar kde terecht moet komen Daarna zul je van beide kde-versies de scripts [b:e7f8ea5a49]startkde[/b:e7f8ea5a49] moeten aanpassen, waarbij je er voor zorgt dat via export KDEDIR=/pad/naar/kde export KDE_HOME=~/.kde-configuratiemap kde de juiste mappen gebruikt. Max
  • Nu heb ik alles gecompileerd dus ik doe het volgende: [code:1:837df5860d]export PATH=$PATH:/usr/local/kde/bin export KDEDIR=/usr/local/kde [/code:1:837df5860d] als ik dan kijk met 'echo' dan zie ik dat het de 2 paden zijn toegevoegd. Nu moet ik dus .xinitrc aanpassen. Maar die heb ik helemaal niet :oops: [code:1:837df5860d]Next, edit the .xinitrc file in your home directory. Look for the line that calls your window manager and replace it with startkde.[/code:1:837df5860d] En om hem zomaar aan te maken lijkt me geen goed idee, aangezien ik niet precies weet wat er in moet.. [edit] Na wat zoek werk ben ik op de volgende link gekomen. http://www.slackware.com/book/index.php?source=x1580.html Ik heb deze file dus gekopieerd, en de 2 lijnen code bovenin voor het PATH erin gezet, maar voorals nog start kde de oude versie op..[/edit] Dus ik probeer het voor de gein gewoon om met startkde hem op te starten. Maar tevergeefs, bij het splash-screen zie ik al kde 3.1 staan, en als ik dan kijk bij de 2 paden, zijn ze allebei weg, die ik heb ingevuld...
  • zet het pad er eens bij voor startkde zoals exec /usr/local/bin/startkde of zo
  • Mijn advies, start expliciet het juiste startkde-script op (zoals kayjay zegt) en verander in dat script de kde-paden (of voeg die toe als startkde geen paden aanlegt) Meeste versies van startkde bepalen nmlk zelf het pad dat gebruikt moet worden. Dat kan de verklaring zijn waarom je eigen pad is verdwenen. Verder staat de map /usr in Linux altijd boven /usr/local als zoekpad, dus mogelijk dat om die reden de oude kde gestart wordt.. Max
  • Hey maximiliaan, Het ligt denk ik aan mij, maar ik begrijp niet precies wat jij bedoelt. Het juiste startkde-script, dus mijn 'nieuwe' (/usr/local/kde/bin/startkde). Maar als welke variabele moet ik dat toevoegen dan? Ik heb het gevoel dat ik jou helemaal verkeerd begrijp.
  • Ok, uitgaande dat jouw nieuwe kde-installatie in /usr/local/kde staat zet je de volgende tekstregels boven in het script 'startkde' van die bewuste nieuwe installatie: [code:1:f0d2e59fa4] [ "$QTDIR" != /usr/lib/qt3 ] && unset QTDIR unset KDEDIR unset KDEDIRS KDEMAINDIR=/usr/local/kde echo "$PATH" | grep -q "${KDEMAINDIR}bin" || export PATH=${KDEMAINDIR}bin:$PATH [/code:1:f0d2e59fa4] Kijk meteen in het script of daar niet nog andere regels in staan die de paden uitzetten. Staan die er wel, pas die zodangi aan dat ze verwijzen naar de juiste mappen.. Doe hetzelfde met de oude kde, zodat die ook expliciet verwijst naar de juiste kdemappen. Max
  • Ik heb dat stukje code dus bovenaan in allebei de startkde scripts gedaan. Maar nu doet mij kde helemaal niets meer. ik krijg als fout [code:1:287a1a5eba]Could not start ksmserver. Please check your installation[/code:1:287a1a5eba] Dus ik haal uit allebei de code weg, maar nog steeds krijg ik de fout. Dus ik verplaats de /opt/kde naar de /root en de /usr/local/kde verplaats ik naar /opt. Nu krijg ik dus een lijst van foutmeldingen. Ik weet dus niet meer wat ik nu moet doen :-? [edit] Ik heb het nu verholpen door kde 3.1.5 te downloaden en die te installeren. Maar enige aanwijzingen zijn nog welkom[/edit]
  • Ok, we beginnen weer opnieuw :o) probeer het volgende eens, start linux in init 3, typ vervolgens export WINDOWMANAGER=/pad/naar/nieuwe/kde-installatie/bin/startkde En typ daarna startx Max
  • Why for christsake? Je kunt gewoon Slackware binaries downloaden van KDE 3.2 beta 2. Gewoon installeren met installpkg of upgraden met upgradepkg. Ik heb ze al even getest en ze doen het prima, geen enkele reden om de oude nog te willen draaien, maar al zou je dat toch willen is het nog geen enkel punt. Edit in de packages gewoon het path /opt/kde naar /opt/kde-3.2 gewoon de package uitpakken. De mappen hernoemen dmv een sed/awk of perl regeltje alle /opt/kde's in /opt/kde-3.2's veranderen in de files.
  • 2 februari komt kde 3.2 definitief uit..
  • Een dag na mijn verjaardag, lief :-)
  • Mooier cadeau kun je je niet voorstellen ;) Max
  • [quote:2eac711bfa="maximilaan"]2 februari komt kde 3.2 definitief uit..[/quote:2eac711bfa] [quote:2eac711bfa="Marcel de Reus"]Een dag na mijn verjaardag[/quote:2eac711bfa] Wat toevallig. Ik ben namelijk ook jarig op één februari. Ik word dan 44. Inmiddels is KDE 3.2 RC1 source al te downloaden. Ik ben daar al mee begonnen. De 4 belangrijkste waren toch deze [code:1:2eac711bfa] arts-1.1.95.tar.bz2 kdelibs-3.1.95.tar.bz2 kdebase-3.1.95.tar.bz2 kde-i18n-nl-3.1.95.tar.bz2 [/code:1:2eac711bfa] Op die ftp van Twente staat geen qt. Het is al bijna weer een jaar geleden dat ik [url=http://forum.computertotaal.nl/phpBB2/viewtopic.php?t=83021&highlight=kde]kde 3.1 source downloade en compileerde.[/url]
  • He leuk dat je kde-i18n-nl als belangrijk beschouwd. Qt is geen onderdeel van KDE, dus mogelijk dat die daarom niet wordt aangeboden. KDE 3.2 is volgens mij ook compatible met je huidige Qt-versie dus die hoef je niet per se op te waarderen (alhoewel Qt 3.2 een stukkie sneller schijnt te zijn dan voorgaande versies) Max
  • [quote:693147019e="jolo"]Wat toevallig. Ik ben namelijk ook jarig op één februari. Ik word dan 44. [/quote:693147019e] Dan ben je dus 27 jaar ouder, ik word 17 :-) Je kunt KDE gewoon tegen een Qt linken die je bevalt. Er is wel een minimale versie vereist maar afair wordt 3.1.x iig nog gewoon ondersteund.

Beantwoord deze vraag

Weet jij het antwoord op deze vraag? Registreer of meld je aan met je account

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.